Subject: Re: [Pv-drivers] [PATCH 0/6] VSOCK for Linux upstreaming

From: Gerd Hoffmann <[email-masked]>
Date: Wed, 09 Jan 2013 09:10:15 +0100

On 01/09/13 03:22, Dmitry Torokhov wrote:
> On Tue, Jan 08, 2013 at 05:46:01PM -0800, David Miller wrote:
>> I'd much rather see a hypervisor neutral solution than a hypervisor
>> specific one which this certainly is.
> 
> Objectively speaking neither solution is hypervisor neutral as there are
> hypervisors that implement either VMCI or virtio or something else
> entirely.

Indeed.  vmchannel is tied to virtio like vsock is tied to vmci.

> Our position is that VSOCK feature set is more complete and that it
> should be possible to use transports other than VMCI for VSOCK traffic,
> should interested parties implement them,

Implementing other transports requires restructing vsock (and vmci)
first as the current vsock code is not a hypervisor neutral service.

cheers,
  Gerd